#!/bin/sh

case "$1" in
	start)
		mkdir -p /data/video

		setting call vdr.plugins.mpv.clear

		cat >> /etc/vdr/setup.conf.add <<- EOF
			mpv.UsePassthrough = 0
		EOF

		useSoftwareDecoder=$(setting get vdr.plugins.mpv.useSoftwareDecoder)
		graphic=$(setting get display.driver)
		if [ "$useSoftwareDecoder" != "true" -a "$graphic" = "nvidia" ]; then
			video="vdpau"
		elif [ "$useSoftwareDecoder" != "true" -a "$graphic" = "intel" ]; then
			video="vaapi"
		else
			video="x11"
		fi
		args=$(setting get -d "-b /data/video -a auto -v $video -h $video" vdr.plugins.mpv.args)

		echo -e "[mpv]\n$args" > /etc/vdr/conf.d/50_mpv.conf
		;;
esac
